BlockGrid2 Class Reference

`#include <blocktools.h>`

## Public Member Functions

| BlockGrid2 (coord_t maxx, coord_t maxy)
neighbourID_t | getNID (coord_t x, coord_t y) const
void | generateInNeighbours (coord_t blockx, coord_t blocky, messvec &v)
void | generateOutNeighbours (coord_t blockx, coord_t blocky, messvec &v)

## Private Attributes

coord_t | xmax
coord_t | ymax

## Constructor & Destructor Documentation

## BlockGrid2()

BlockGrid2::BlockGrid2 | ( | coord_t | maxx,
|  | coord_t | maxy
| ) |  |

## Member Function Documentation

## generateInNeighbours()

void BlockGrid2::generateInNeighbours | ( | coord_t | blockx,
|  | coord_t | blocky,
|  | messvec & | v
| ) |  |

References message::destbuffid, message::destID, getNID(), getSrcBuffID2(), getTag2(), message::sourceID, message::srcbuffid, and message::tag.

Referenced by generateOutNeighbours(), and ripley::Rectangle::randomFillWorker().

## generateOutNeighbours()

void BlockGrid2::generateOutNeighbours | ( | coord_t | blockx,
|  | coord_t | blocky,
|  | messvec & | v
| ) |  |

References generateInNeighbours(), getNID(), xmax, and ymax.

Referenced by ripley::Rectangle::randomFillWorker().

## getNID()

neighbourID_t BlockGrid2::getNID | ( | coord_t | x,
|  | coord_t | y
| ) |  | const

References xmax.

Referenced by generateInNeighbours(), and generateOutNeighbours().

## Member Data Documentation

## xmax

coord_t BlockGrid2::xmax

private

Referenced by generateOutNeighbours(), and getNID().

## ymax

coord_t BlockGrid2::ymax

private

Referenced by generateOutNeighbours().

The documentation for this class was generated from the following files:

- blocktools.h
- blocktools2.cpp